// WakeupDlg.h : header file
//

#pragma once

#include "aDIOLib_General.h"
#include "aDIOLib_Port.h"
#include "aDIOLib_Interrupt.h"


// CWakeupDlg dialog
class CWakeupDlg : public CDialog
{
// Construction
public:
    CWakeupDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
    enum { IDD = IDD_WAKEUP_DIALOG };

    CButton m_Standby_Box;


    protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support


// Implementation
protected:
    aDIO_Handle m_Handle;

    BOOL SetPrivileges();
    void Cleanup();
    void Fail(aDIO_Error error, char* msg, bool quit=true);

    HICON m_hIcon;

    // Generated message map functions
    afx_msg void OnStandby();
    virtual BOOL OnInitDialog();
    virtual void OnClose();
    afx_msg void OnPaint();
    afx_msg HCURSOR OnQueryDragIcon();
    DECLARE_MESSAGE_MAP()
};
