;
; Severity Groups
;
SeverityNames=( Success=        0x0:ADIO_ERROR_SEVERITY_SUCCESS
                Informational=  0x1:ADIO_ERROR_SEVERITY_INFORMATIONAL
                Warning=        0x2:ADIO_ERROR_SEVERITY_WARNING
                Error=          0x3:ADIO_ERROR_SEVERITY_ERROR
              )

;
; Error Categories
;
MessageIdTypedef=aDIO_Error_Cat

MessageId=0x1
SymbolicName=ADIO_ERROR_CATEGORY_GENERAL
Language=English
General Module
.

MessageId=0x2
SymbolicName=ADIO_ERROR_CATEGORY_GENERAL_INTERNAL
Language=English
General Internal Module
.

MessageId=0x3
SymbolicName=ADIO_ERROR_CATEGORY_INTERRUPT
Language=English
Interrupt Module
.

MessageId=0x4
SymbolicName=ADIO_ERROR_CATEGORY_INTERRUPT_INTERNAL
Language=English
Interrupt Internal Module
.

MessageId=0x5
SymbolicName=ADIO_ERROR_CATEGORY_PORT
Language=English
Port Module
.

;
; Error Codes
;
MessageIdTypedef=aDIO_Error

MessageId=0x100
Severity=Success
SymbolicName=ADIO_ERROR_CODE_SUCCESS
Language=English
%1!s!
.

MessageId=0x200
Severity=Informational
SymbolicName=ADIO_ERROR_CODE_INFO
Language=English
%1!s!
.

MessageId=0x300
Severity=Warning
SymbolicName=ADIO_ERROR_CODE_WARNING
Language=English
%1!s!
.

MessageId=0x400
Severity=Error
SymbolicName=ADIO_ERROR_CODE_UNEXPECTED
Language=English
%1!s!
.

MessageId=0x500
Severity=Error
SymbolicName=ADIO_ERROR_CODE_BAD_PARAM
Language=English
%1!s!
.

MessageId=0x600
Severity=Error
SymbolicName=ADIO_ERROR_CODE_NOT_CONFIG
Language=English
%1!s!
.

MessageId=0x700
Severity=Error
SymbolicName=ADIO_ERROR_CODE_NOT_ENABLE
Language=English
%1!s!
.

MessageId=0x800
Severity=Error
SymbolicName=ADIO_ERROR_CODE_IN_USE
Language=English
%1!s!
.

MessageId=0x900
Severity=Error
SymbolicName=ADIO_ERROR_CODE_NO_MEMORY
Language=English
%1!s!
.

MessageId=0xA00
Severity=Error
SymbolicName=ADIO_ERROR_CODE_WIN_API
Language=English
%1!s!
.

MessageId=0xB00
Severity=Error
SymbolicName=ADIO_ERROR_CODE_IOCTL_FAIL
Language=English
%1!s!
.

